# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Feb 21 22:58:28 2022
# ------------------------------------------------

package:
  name: flye
  version: '2.9'
source:
  sha256: 158ea620d4aa92a53dae1832b09fd605e17552e45b83eecbf28e41a4516a6957
  url: https://github.com/fenderglass/Flye/archive/2.9.tar.gz
build:
  number: '1'
  string: py37h595c7a6_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_5
    - gcc_impl_linux-64 10.3.0 hf2f2afa_12
    - gcc_linux-64 10.3.0 hc39de41_5
    - gxx_impl_linux-64 10.3.0 hf2f2afa_12
    - gxx_linux-64 10.3.0 h2593f52_5
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libgcc-devel_linux-64 10.3.0 he6cfe16_12
    - libgcc-ng 11.2.0 h1d223b6_12
    - libgomp 11.2.0 h1d223b6_12
    - libsanitizer 10.3.0 h26c7422_12
    - libstdcxx-devel_linux-64 10.3.0 he6cfe16_12
    - libstdcxx-ng 11.2.0 he4da1e4_12
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.10.8 ha878542_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 11.2.0 h1d223b6_12
    - libgomp 11.2.0 h1d223b6_12
    - libnsl 2.0.0 h7f98852_0
    - libstdcxx-ng 11.2.0 he4da1e4_12
    - libzlib 1.2.11 h36c2ea0_1013
    - ncurses 6.3 h9c3ff4c_0
    - openssl 3.0.0 h7f98852_2
    - pip 22.0.3 pyhd8ed1ab_0
    - python 3.7.12 hf930737_100_cpython
    - python_abi 3.7 2_cp37m
    - readline 8.1 h46c0cb4_0
    - setuptools 60.9.3 py37h89c1867_0
    - sqlite 3.37.0 h9cd32fc_0
    - tk 8.6.12 h27826a3_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h36c2ea0_1013
  run:
    - libgcc-ng >=10.3.0
    - libstdcxx-ng >=10.3.0
    - libzlib >=1.2.11,<1.3.0a0
    - python >=3.7,<3.8.0a0
    - python_abi 3.7.* *_cp37m
    - setuptools
test:
  commands:
    - flye -h | grep Assembly
about:
  home: https://github.com/fenderglass/Flye/
  license: BSD-3-Clause
  summary: Fast and accurate de novo assembler for single molecule sequencing reads
extra:
  copy_test_source_files: true
  final: true
  skip-lints:
    - uses_setuptools
